@import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bitter:wght@600&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

html {
    scroll-behavior: smooth;
}

::selection {
    background: crimson;
    color: #fafafa;
}

* {
    margin: 0;
    border: none;
    box-sizing: border-box;
    padding: 0;
}

body {
    background: #fafafa;
    font-family: 'Source Code Pro', monospace;
    font-size: 17px;
}

a {
    color: black;
}

#gatsby-focus-wrapper {
    display: grid;
    place-items: center;
    gap: 20px;
}

h1,
h2,
h3 {
    font-family: 'Bitter', serif;
    color: crimson;
}

h1,
h2 {
    text-align: center;
}


header,
main,
footer {
    width: clamp(300px, 1000px, 90%);
}

header,
footer {
    display: grid;
    place-items: center;
    text-align: center;
    padding: 15px 0;
}

header {
    position: fixed;
    top: 0;
    background: #fafafa;
    gap: 5px;
    border-bottom: 4px solid red;
    box-shadow: 0 4px 2px -2px hsl(0, 0%, 50.2%, .5);
    z-index: 1;
}

nav {
    width: clamp(300px, 100%, 400px);
    display: flex;
    justify-content: space-between;
}

.current-page {
    color: red;
}

main,
.home,
.projects,
.articles {
    display: grid;
    place-items: center;
    gap: 1.5em;
}

main {
    margin-top: 122px;
}

/* home page */

.home h2 {
    font-size: 3.5em;
    background: linear-gradient(45deg, crimson, red, crimson);
    color: transparent;
    background-clip: text;
    letter-spacing: 3px;
}

.home .hero {
    width: clamp(250px, 480px, 100%);
    height: fit-content;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.home .hero img {
    width: 100px;
    aspect-ratio: 1/1;
    object-fit: contain;
    animation: slowlyAppear 4s;
}

@keyframes slowlyAppear {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.react,
.gatsby,
.next-js,
.vue-js,
.svelte,
.vite {
    font-weight: bold;
}

.react {
    color: #5ed3f3;
}

.gatsby {
    color: #67339a;
}

.vue-js {
    background: url(https://upload.wikimedia.org/wikipedia/commons/thumb/9/95/Vue.js_Logo_2.svg/512px-Vue.js_Logo_2.svg.png?20170919082558) center 53%;
    color: transparent;
    background-clip: text;
}

.svelte {
    color: #f73c00;
}

.vite {
    background: linear-gradient(135deg, #47c9ff, #bd34fe);
    background-clip: text;
    color: transparent;
}

.para-last {
    width: 100%;
}

/* projects and search pages */
.search {
    width: clamp(250px, 700px, calc(100% - 10px));
    height: 50px;
    border-radius: 10px;
    box-shadow: 0 3px 4px lightgrey;
    outline: none;
    padding: 0 1.5em;
    margin-bottom: 7.5px;
}

.search:focus {
    box-shadow: 0 4px 5px lightgrey;
}

#search-tip {
    display: none;
    /*position: absolute;
    margin-top: 120px;*/
    font-weight: bold;
    font-size: 13px;
}

/* projects and articles pages */

.projects,
.articles {
    padding: 0 5px;
}

.projects .project,
.articles .article {
    position: relative;
    width: 100%;
    height: fit-content;
    border-radius: 10px;
    background: white;
    box-shadow: 0 4px 5px lightgrey;
    overflow: hidden;
}

.projects .project img {
    width: 100%;
    aspect-ratio: 144/80;
    object-fit: cover;
}

.projects .project .image-contain {
    object-fit: contain;
}

.projects .project .project-text,
.articles .article {
    display: grid;
    color: #444;
}

.projects .project .project-text {
    padding: 10px 15px 20px;
    gap: 8px;
}

.projects .project .desc {
    display: grid;
    gap: 3px;
}

.articles .article {
    padding: 1.5em clamp(10px, 2em, 7%);
    place-items: center;
    gap: 1em;
}

.article .article-date {
    width: 100%;
    text-align: right;
}

.list-item-link {
    margin: 10px 0;
    width: 100%;
    height: 50px;
    border-radius: 7.5px;
    background: red;
    color: white;
    display: grid;
    place-items: center;
    font-weight: bold;
    box-shadow: 0 3px 4px lightgrey;
}

.article .list-item-link {
    max-width: 500px;
    margin-bottom: 0;
}

.list-item-link:hover {
    background: hsl(0, 100%, 50%, .1);
    color: crimson;
    transition: 400ms;
}

.list-item-link:active {
    box-shadow: 0 4px 5px lightgrey;
}

footer {
    gap: 10px;
}

footer .external-links {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 1em;
}

@media only screen and (min-width: 750px) {
    header {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    main {
        margin-top: 115px;
    }
}

@media only screen and (min-width: calc(1000px * 2 / 3 * 10 / 9)) {
    .projects {
        grid-template-columns: 1fr 1fr;
        align-items: baseline;
    }
}

@media only screen and (min-width: calc(1000px * 100 / 90)) {
    #gatsby-focus-wrapper {
        gap: 40px;
    }

    .home {
        grid-template-columns: auto 430px;
    }

    .home h2 {
        text-align: left;
    }

    .home .hero {
        grid-row: span 4;
    }

    .projects {
        grid-template-columns: 1fr 1fr 1fr;
    }
}